## org.eclipse.amp.agf.chart.ide
Class SelectAreaAction

    java.lang.Object
      org.eclipse.amp.agf.chart.ide.ChartAction
          org.eclipse.amp.agf.chart.ide.SelectAreaAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class SelectAreaAction

extends ChartAction

The Class DisplayLegendAction.

Field Summary

Fields inherited from class org.eclipse.amp.agf.chart.ide.ChartAction
`viewPart`

Constructor Summary
`SelectAreaAction()`

Method Summary
`void` `run(org.eclipse.jface.action.IAction action)`

Methods inherited from class org.eclipse.amp.agf.chart.ide.ChartAction
`getEditor, init, selectionChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectAreaAction

    public SelectAreaAction()

Method Detail

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  Specified by:
    `run` in class `ChartAction`
  See Also:
    `IActionDelegate.run(org.eclipse.jface.action.IAction)`